import { DOMElements, ThemingProps } from "@chakra-ui/vue-system";
import { PropType } from "vue";
export declare const vueThemingProps: {
    colorScheme: PropType<(string & {}) | "whiteAlpha" | "blackAlpha" | "gray" | "red" | "orange" | "yellow" | "green" | "teal" | "blue" | "cyan" | "purple" | "pink" | "linkedin" | "facebook" | "messenger" | "whatsapp" | "twitter" | "telegram" | undefined>;
    variant: PropType<any>;
    size: PropType<any>;
    styleConfig: PropType<Record<string, any> | undefined>;
};
export declare const SNA: (ArrayConstructor | StringConstructor | NumberConstructor)[];
export declare const SAO: (ObjectConstructor | ArrayConstructor | StringConstructor)[];
export declare const SNAO: (ObjectConstructor | ArrayConstructor | StringConstructor | NumberConstructor)[];
export interface BaseThemedComponentProps extends Pick<ThemingProps, "colorScheme" | "variant" | "size" | "styleConfig"> {
    as?: DOMElements | "router-link" | "nuxt-link";
}
export declare const useThemingProps: <O extends ThemingProps<any>>(props: O) => import("vue").ComputedRef<ThemingProps<any>>;
//# sourceMappingURL=props.d.ts.map